# parameters
CC=arm-SamyGO-linux-gnueabi-gcc
STRIP=arm-SamyGO-linux-gnueabi-strip
CFLAGS="-O2 -Wall"
LFLAGS="-s -shared -Wl"
LOADER=loader
MAINMODULE=samyconsole2

# compile and link files
$CC $CFLAGS -c $LOADER.c -o $LOADER.o
$CC $LFLAGS -o $LOADER.so $LOADER.o
$CC $CFLAGS -c $MAINMODULE.c -o $MAINMODULE.o
$CC $LFLAGS -o $MAINMODULE.so $MAINMODULE.o 

# remove some additional data from executables (http://wiki.wxwidgets.org/Reducing_Executable_Size)
$STRIP --remove-section=.comment --remove-section=.note *.so

# remove temporary files
rm *.o

# display files
ls -l *.so

