// ===========================================================================
// USB keyboard scancodes definitions
// ===========================================================================

#ifndef __SCANCODES_H
#define __SCANCODES_H

#define KEYSTATE_UP		0
#define KEYSTATE_DOWN		0x100
#define KEYSTATE_HOLD		0x200
#define KEYBOARD_EVENT_SIZE	32
#define EVENT_QUEUE_FILE	"/dtv/event0"

enum
{
   SYMK_UNKNOWN=0,
   SYMK_ESCAPE,
   SYMK_1, SYMK_2, SYMK_3, SYMK_4, SYMK_5, SYMK_6, SYMK_7, SYMK_8, SYMK_9, SYMK_0, SYMK_MINUS, SYMK_EQUALS, SYMK_BACKSPACE,
   SYMK_TAB, SYMK_q, SYMK_w, SYMK_e, SYMK_r, SYMK_t, SYMK_y, SYMK_u, SYMK_i, SYMK_o, SYMK_p, SYMK_LEFTBRACKET, SYMK_RIGHTBRACKET, SYMK_RETURN,
   SYMK_LCTRL, SYMK_a, SYMK_s, SYMK_d, SYMK_f, SYMK_g, SYMK_h, SYMK_j, SYMK_k, SYMK_l, SYMK_SEMICOLON, SYMK_APOSTROPH, SYMK_BACKQUOTE,
   SYMK_LSHIFT, SYMK_BACKSLASH, SYMK_z, SYMK_x, SYMK_c, SYMK_v, SYMK_b, SYMK_n, SYMK_m, SYMK_COMMA, SYMK_PERIOD, SYMK_SLASH, SYMK_RSHIFT,
   SYMK_KP_MULTIPLY,
   SYMK_LALT, SYMK_SPACE,
   SYMK_CAPSLOCK,
   SYMK_F1, SYMK_F2, SYMK_F3, SYMK_F4, SYMK_F5, SYMK_F6, SYMK_F7, SYMK_F8, SYMK_F9, SYMK_F10,
   SYMK_NUMLOCK, SYMK_SCROLLLOCK,
   SYMK_KP_7, SYMK_KP_8, SYMK_KP_9,
   SYMK_KP_MINUS,
   SYMK_KP_4, SYMK_KP_5, SYMK_KP_6, SYMK_KP_PLUS,
   SYMK_KP_1, SYMK_KP_2, SYMK_KP_3,
   SYMK_KP_0, SYMK_KP_PERIOD,
   SYMK_F11=0x57, SYMK_F12,
   SYMK_KP_ENTER=0x60,
   SYMK_RCTRL,
   SYMK_KP_DIVIDE,
   SYMK_SCREEN, SYMK_RALT,
   SYMK_HOME=0x66,
   SYMK_UP,
   SYMK_PGUP,
   SYMK_LEFT, SYMK_RIGHT,
   SYMK_END,
   SYMK_DOWN,
   SYMK_PGDN, SYMK_INSERT, SYMK_DELETE,
   SYMK_LWIN=0x7D, SYMK_RWIN, SYMK_RWINEXTRA
};

#endif

// ===========================================================================
// end.

