// ===========================================================================
// testing/starting telnet daemon
// ===========================================================================

#ifndef __TELNETD_C
#define __TELNETD_C

int run_telnetd(void)
{
   if (system("mount -t devpts devpts /dev/pts;telnetd") == -1) return 1;
   return 0;
}

int is_telnetd(void)
{
   FILE *f;
   char cmd[100];
   const char *logfile = "/mtd_ram/_is_td.log";

   sprintf(cmd, "ps|grep telnet[d] >%s", logfile);
   if (system(cmd) == -1) return 0;	
   f = fopen(logfile, "r");
   if (!f)
   {
      remove(logfile);
      return 0;
   }
   if (!fgets(cmd, sizeof(cmd), f))
   {
      fclose(f); remove(logfile);
      return 0;
   }
   fclose(f); remove(logfile);
   if (strstr(cmd, "telnetd")) return 1;
   return 0;
}

#endif

// ===========================================================================
// end.

