// ===========================================================================
// cache flush function for changes made (injected code area)
// ===========================================================================

#ifndef __CACHEFLUSH_C
#define __CACHEFLUSH_C

static void cacheflush(void *start, size_t size)
{
   asm	(
	"mov r0, %0\n"
	"mov r1, %1\n"
	"mov r2, #0\n"
	"mov r7, #0xf0000\n"
	"add r7, #0x02\n"
	"swi #0\n"
	: /* no inputs */
	: /* outputs: */ "g"((unsigned long)start), "g"((unsigned long)start+size)
	: /* clobbered registers: */ "r0", "r1", "r2", "r7"
	);
}

#endif

// ===========================================================================
// end.

