// ===========================================================================
// test/load USBHID module
// ===========================================================================

#ifndef __USBHID_C
#define __USBHID_C

int load_usbhid(void)
{
   if (system("insmod ./DRV/usbhid.ko; insmod ./DRV/evdev.ko; i=0; while [ $i -le 31 ]; do mknod /dtv/event$i c 13 $(($i + 64)); i=$(( i + 1 )); done") == -1) return 1;
   return 0;
}

int is_usbhid(void)
{
   FILE *f;
   char cmd[100];
   const char *logfile = "/mtd_ram/_hid.log";

   sprintf(cmd, "lsmod | grep usbhid >%s", logfile);
   if (system(cmd) == -1) return 0;	
   f = fopen(logfile, "r");
   if (!f)
   {
      remove(logfile);
      return 0;
   }
   if (!fgets(cmd, sizeof(cmd), f))
   {
      fclose(f); remove(logfile);
      return 0;
   }
   fclose(f); remove(logfile);
   if (strstr(cmd, "usbhid")) return 1;
   return 0;
}

#endif

// ===========================================================================
// end.

